org.apache.cassandra.concurrent

## Class SEPExecutor

- java.lang.Object
- - org.apache.cassandra.concurrent.AbstractLocalAwareExecutorService
  - - org.apache.cassandra.concurrent.SEPExecutor

All Implemented Interfaces:
  java.util.concurrent.Executor, java.util.concurrent.ExecutorService, LocalAwareExecutorService

    public class SEPExecutor
    extends AbstractLocalAwareExecutorService

### Field Summary

Fields
`int` `maxWorkers`
`protected java.util.concurrent.ConcurrentLinkedQueue<org.apache.cassandra.concurrent.AbstractLocalAwareExecutorService.FutureTask<?>>` `tasks`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `addTask(org.apache.cassandra.concurrent.AbstractLocalAwareExecutorService.FutureTask<?> task)`
`boolean` `awaitTermination(long timeout, java.util.concurrent.TimeUnit unit)`
`int` `getActiveCount()`
`long` `getCompletedTasks()`
`long` `getPendingTasks()`
`boolean` `isShutdown()`
`boolean` `isTerminated()`
`void` `maybeExecuteImmediately(java.lang.Runnable command)`
`protected void` `onCompletion()`
`void` `shutdown()`
`java.util.List<java.lang.Runnable>` `shutdownNow()`

### Methods inherited from class org.apache.cassandra.concurrent.AbstractLocalAwareExecutorService

`execute, execute, invokeAll, invokeAll, invokeAny, invokeAny, newTaskFor, newTaskFor, newTaskFor, submit, submit, submit`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### maxWorkers

    public final int maxWorkers

#### tasks

    protected final java.util.concurrent.ConcurrentLinkedQueue<org.apache.cassandra.concurrent.AbstractLocalAwareExecutorService.FutureTask<?>> tasks

### Method Detail

#### onCompletion

    protected void onCompletion()

Specified by:
  `onCompletion` in class `AbstractLocalAwareExecutorService`

#### addTask

    protected void addTask(org.apache.cassandra.concurrent.AbstractLocalAwareExecutorService.FutureTask<?> task)

Specified by:
  `addTask` in class `AbstractLocalAwareExecutorService`

#### maybeExecuteImmediately

    public void maybeExecuteImmediately(java.lang.Runnable command)

#### shutdown

    public void shutdown()

#### shutdownNow

    public java.util.List<java.lang.Runnable> shutdownNow()

#### isShutdown

    public boolean isShutdown()

#### isTerminated

    public boolean isTerminated()

#### awaitTermination

    public boolean awaitTermination(long timeout,
                                    java.util.concurrent.TimeUnit unit)
                             throws java.lang.InterruptedException

Throws:
  `java.lang.InterruptedException`

#### getPendingTasks

    public long getPendingTasks()

#### getCompletedTasks

    public long getCompletedTasks()

#### getActiveCount

    public int getActiveCount()